Error 6/3

Before the error happened, I was…
Doing anki on my phone, swithced to laptop to sync and recieved an error

Error message (don't change this)
Anki 23.12.1 (1a1d4d54)  (ao)
Python 3.9.15 Qt 6.5.3 PyQt 6.5.3
Platform: macOS-14.5-arm64-arm-64bit

Traceback (most recent call last):

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 247, in _send_request_with_retry
    response = self._send_request_with_retry_inner(

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 289, in wrapped_f
    return self(f, *args, **kw)

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 379, in __call__
    do = self.iter(retry_state=retry_state)

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 326, in iter
    raise retry_exc from fut.exception()

tenacity.RetryError: RetryError[<Future at 0x14fa22f40 state=finished raised ConnectionError>]


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 255, in _send_request_with_retry
    response = last_attempt.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 382, in __call__
    result = fn(*args, **kwargs)

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 270, in _send_request_with_retry_inner
    response = session.send(request, stream=stream, timeout=timeout)

  File "requests.sessions", line 703, in send

  File "requests.adapters", line 519, in send

requests.exceptions.ConnectionError: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/decks/subscriptions/ (Caused by NameResolutionError("<urllib3.connection.HTTPSConnection object at 0x12a9a9c40>: Failed to resolve 'app.ankihub.net' ([Errno 8] nodename nor servname provided, or not known)"))


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "aqt.taskman", line 142, in _on_closures_pending

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/gui/menu.py", line 332, in on_done
    future.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/gui/operations/utils.py", line 39, in wrapper
    return func(*args, **kwargs)

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/gui/operations/ankihub_sync.py", line 75, in _sync_with_ankihub_inner
    subscribed_decks = client.get_deck_subscriptions()

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 607, in get_deck_subscriptions
    response = self._send_request("GET", API.ANKIHUB, "/decks/subscriptions/")

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 229, in _send_request
    response = self._send_request_with_retry(

  File "/Users/FrankMasella/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 257, in _send_request_with_retry
    raise AnkiHubRequestException(e) from e

1322529746.ankihub_client.ankihub_client.AnkiHubRequestException: AnkiHub request exception: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/decks/subscriptions/ (Caused by NameResolutionError("<urllib3.connection.HTTPSConnection object at 0x12a9a9c40>: Failed to resolve 'app.ankihub.net' ([Errno 8] nodename nor servname provided, or not known)"))

Sentry link (for developers)

Hello,

Can you exit out of Anki and try again?